# Uses of Interface
com.sun.source.doctree.TextTree

Packages that use TextTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of TextTree in com.sun.source.doctree

Subinterfaces of TextTree in com.sun.source.doctree
Modifier and Type
Interface
Description
`interface`
`ErroneousTree`
A tree node to stand in for malformed text.
`interface`
`EscapeTree`
A tree node for a character represented by an escape sequence.
Methods in com.sun.source.doctree that return TextTree
Modifier and Type
Method
Description
`TextTree`
LiteralTree.`getBody()`
Returns the body of the `@literal` or `@code` tag.
`TextTree`
SnippetTree.`getBody()`
Returns the body of the `@snippet` tag, or `null` if there is no body.
`default TextTree`
ValueTree.`getFormat()`
Returns the format string, or `null` if none was provided.
`TextTree`
SpecTree.`getURL()`
Returns the URL.
Methods in com.sun.source.doctree with parameters of type TextTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitText(TextTree node, P p)`
Visits a `TextTree` node.

## Uses of TextTree in com.sun.source.util

Methods in com.sun.source.util that return TextTree
Modifier and Type
Method
Description
`TextTree`
DocTreeFactory.`newTextTree(String text)`
Creates a new `TextTree` object, to represent some plain text.
Methods in com.sun.source.util with parameters of type TextTree
Modifier and Type
Method
Description
`LiteralTree`
DocTreeFactory.`newCodeTree(TextTree text)`
Creates a new `LiteralTree` object, to represent a `{@code }` tag.
`LiteralTree`
DocTreeFactory.`newLiteralTree(TextTree text)`
Creates a new `LiteralTree` object, to represent a `{@literal }` tag.
`SnippetTree`
DocTreeFactory.`newSnippetTree(List<? extends DocTree> attributes, TextTree text)`
Creates a new `SnippetTree` object, to represent a `{@snippet }` tag.
`SpecTree`
DocTreeFactory.`newSpecTree(TextTree url, List<? extends DocTree> title)`
Creates a new `SpecTree` object, to represent an `@spec` tag.
`default ValueTree`
DocTreeFactory.`newValueTree(TextTree format, ReferenceTree ref)`
Creates a new `ValueTree` object, to represent a `{@value }` tag.
`R`
DocTreeScanner.`visitText(TextTree node, P p)`
Visits a `TextTree` node.
`R`
SimpleDocTreeVisitor.`visitText(TextTree node, P p)`
Visits a `TextTree` node.